import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import _extends from "@babel/runtime/helpers/esm/extends";
import * as React from 'react';
import * as RadioStories from './Radio.stories.mdx';
import { generateChromaticStory } from '../../../chromatic/utils';
import Radio from './Radio';

var Hovers = function Hovers(args) {
  var types = [{
    name: 'unchecked',
    checked: false
  }, {
    name: 'checked',
    checked: true
  }, {
    disabled: true,
    name: 'disabled',
    checked: false
  }, {
    invalid: true,
    name: 'error',
    checked: false
  }];
  return /*#__PURE__*/React.createElement("div", null, types.map(function (t) {
    return /*#__PURE__*/React.createElement(Radio, _extends({}, args, t, {
      key: t.name,
      name: "dark"
    }), "Dark: ", t.name);
  }), /*#__PURE__*/React.createElement("div", {
    style: {
      background: 'black'
    }
  }, types.map(function (t) {
    return /*#__PURE__*/React.createElement(Radio, _extends({}, args, t, {
      key: t.name,
      color: "light",
      name: "light"
    }), "Light: ", t.name);
  })));
};

export var Default = generateChromaticStory(RadioStories, {
  storiesToHover: [Hovers]
});

var _RadioStories$default = RadioStories.default,
    includeStories = _RadioStories$default.includeStories,
    meta = _objectWithoutProperties(_RadioStories$default, ["includeStories"]);

export default meta;